try:
  from Products.LinguaPlone.public import *
except ImportError:
  from Products.Archetypes.public import *

from Products.ATContentTypes.content.document import ATDocumentSchema

from Products.ATReferenceBrowserWidget.ATReferenceBrowserWidget import ReferenceBrowserWidget

schema = ATDocumentSchema.copy() + Schema((
    ReferenceField('subpages',
      multiValued=1,
      relationship='renders',
      languageIndependent=0,
      required=0,
      widget=ReferenceBrowserWidget(
        i18n_domain='TabbedSubpages',
        description='Choose content items to display in a tabbed format',
        description_msgid='TabbedSubpages_help_subpages',
        label='Sub-pages',
        label_msgid='TabbedSubpages_label_subpages',
        allow_search=1,
        allow_browse=1,
        show_indexes=0,
        force_close_on_insert=1,
        visible = {'edit' : 'visible', 'view' : 'invisible' }
      )),

  ))

schema['title'].required = 0
schema['text'].required = 0
